.header {
    height: var(--header-height);
    background-image: linear-gradient(0, #fe6433, #f53e2d);
}
.header__navbar {
    display: flex;
    justify-content: space-between;
}
.header__navbar-list {
    list-style: none;
    padding-left: 0;
    margin: 4px 0 0 0;
    display: flex;
}
.header__navbar-item {
    margin: 0 8px;
    position: relative;
    min-height: 26px;
}
.header__navbar-user {
    display: flex;
   justify-items: center;
   position: relative;
}
.header__navbar-user-img {
    width: 22px;
    height: 22px;
    border-radius: 50%;
    border: 1px solid rgba(0, 0, 0, 0.1);
}
.header__navbar-user-name {
    margin-left: 4px;
    font-size: 1.4rem;
    font-weight: 400;

    
}
.header__navbar-user:hover .header__navbar-user-menu {
    display: block;
}
.header__navbar-user-menu {
    position: absolute;
    padding-left: 0;
    top: calc(100% + 10px);
    right: 0;
    background-color: var(--white-color);
    border-radius: 2px;
    width: 160px;
    list-style: none;
    z-index: 1;
    box-shadow: 0 1px 2px #e0e0e0;
    display: none;
}
.header__navbar-user-menu::before {
    content: "";
    border-width: 20px 28px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -34px; 
}
.header__navbar-user-menu::after {
    content: "";
    display: block;
    position: absolute;
    top: -8px;
    right: 0;
    width: 75%;
    height: 8px;
}
.header__navbar-user-item a {
    text-decoration: none;
    color: var(--text-color);
    font-size: 1.4rem;
    padding: 4px 16px;
    display: block;
}
.header__navbar-user-item--separate {
    border-top: 1px solid rgba(0, 0, 0, 0.05);
}
.header__navbar-user-item a:first-child {
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
}
.header__navbar-user-item a:last-child {
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
}
.header__navbar-user-item a:hover {
    background-color: #fafafa;
}
.header__navbar-item--has-qr:hover .header__qr {
    display: block;
}

.header__navbar-item,
.header__navbar-item-link {
    display: inline-block;
    font-size: 1.3rem;
    color: var(--white-color);
    text-decoration: none;
    font-weight: 300;
}
.header__navbar-item--strong {
    font-weight: 400;
}
.header__navbar-item--seperate ::after {
    content:"";
    display: block;
    position: absolute;
    border-left: 1px solid #FB9086;
    height: 12px;
    right: -9px;
    top: 50%;
    transform: scaleY(-50%);
   
}
.header__navbar-item:hover,
.header__navbar-item-link:hover {
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
}
.header__navbar-icon-link {
    color: var(--white-color);
    text-decoration: none;
}
.header__navbar-icon-link:nth-child(2) {
    margin-left: 2px;
}
/* no essential */
.header__navbar-icon-link:hover {
    color: rgba(255, 255, 255, 0.7);
    cursor: pointer;
}
.header__navbar-icon {
    font-size: 1.8rem;
    margin: 0 4px;
}
.header__navbar-item,
.header__navbar-item-link,
.header__navbar-icon-link {
    display: inline-flex;
    align-items: center;
}
.header__navbar-title--no-pointer {
    cursor: text;
    color: #fff;
}
/* header qr code */
.header__qr {
    width: 186px;
    background-color: var(--white-color);
    position: absolute;
    left: 0;
    top: 100%;
    padding: 8px;
    border-radius: 2px;
    display: none;
    animation: faceIn ease-in 0.3s;
    z-index: 1;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}
.header__qr::before {
    content: "";
    display: block;
    width: 100%;
    position: absolute;
    height: 20px;
    left: 0;
    top: -16px;
    display: block;
}
.header__qr-img {
    width: 100%;
}
.header__qr-apps {
    display: flex;
    justify-content: space-between;
}
.header__qr-download-img {
    height: 18px;
}
.header__qr-link:first-child {
    margin-left: 11px;
}
.header__qr-link::after {
    margin-right: 11px;
}
/* header notification(thông báo) */
.header__notify {
    position: absolute;
    z-index: 1;
    top: 118%;
    width: 404px;
    background-color: var(--white-color);
    right: 0;
    cursor: default;
    animation: headedrNotifyGrowth ease-in 0.2s;
    transform-origin: calc(100% - 32px)top;
    display: none;
    will-change: opacity, transform;
    border-radius: 2px;
    border: 1px solid rgba(0, 0, 0, 0.1);

}
.header__notify::before {
    content: "";
    border-width: 20px 27px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
    position: absolute;
    right: 4px;
    top: -29px;
}
.header__notify::after {
    content: "";
    display: block;
    position: absolute;
    width: 90px;
    height: 20px;
    right: 0;
    top: -16;
}
@keyframes headedrNotifyGrowth {
    from {
        opacity: 0;
        transform: scale(0);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
.header__notify-header {
    height: 40px;
    background-color: var(--white-color);
}
.header__notify-header h3 {
    color: #999;
    margin: 0 0 0 12px;
    font-weight: 400;
    font-size: 1.4rem;
    line-height: 40px;
}
.header__notify-list {
    padding-left: 0;

}
.header__notify-item {
    display: flex;
}
.header__notify-item:hover {
    background-color: #dad4d4;
}
.header__notify-item--viewed {
    background-color: rgb(238, 76, 44, 0.08);

}
.header__navbar-item--has-notify {

}
.header__navbar-item--has-notify:hover .header__notify {
    display: block;
}
.header__notify-link {
    display: flex;
    width: 100%;
    padding: 12px;
    text-decoration: none;


}
.header__notify-img {
    width: 48px;
    object-fit: contain;

}
.header__notify-info {
    margin-top: 12px;
    /* Tự bonus thêm */
    padding: 8px;
}
.header__notify-name {
    display: block;
    font-size: 1.4rem;
    color: var(--text-color);
    font-weight: 400;
    line-height: 1.8rem;
}
.header__notify-description {
    display: block;
    font-size: 1.2rem;
    line-height: 1.4rem;
    color: rgb(77, 75, 75);
    /* Tự css thêm */
    margin-top: 4px; 
}
.header__notify-footer {
    display: flex;
}   
.header__notify-footer-btn {
      text-decoration: none;
      color: var(--text-color);
      padding: 8px 48px;
      margin: auto;
      font-size: 1.4rem;
      font-weight: 400;
      text-align: center;
}
/* authen modal */
.auth-form {
    width: 500px;
    background-color: var(--white-color);
    border-radius: 5px;
    overflow: hidden;
}
.auth-form__container {
    padding: 0 32px;
}
.auth-form__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 12px;
    margin-top: 10px;
}
.auth-form__heading {
    font-size: 2.2rem;
    font-weight: 400;
    color: var(--text-color);
}
.auth-form__switch-btn {
    font-size: 1.6rem;
    color: var(--primary-color);
    font-weight: 400;
    cursor: pointer;
}  

.auth-form__input {
    width: 100%;
    height: 40px;
    margin-top: 16px;
    padding: 0 12px;
    font-size: 1.4rem;
    border: 1px solid var(--boder-color);
    border-radius: 2px;
    outline: none;
}
.auth-form__input:focus {
    border-color: #777;
}
.auth-form__aside {
    margin-top: 18px;
}
.auth-form__policy-text {
    font-size: 1.2rem;
    line-height: 1.8rem;
    text-align: center;
    padding: 0 12px;
}
.auth-form__text-link {
    color: var(--primary-color);
    text-decoration: none;
}
.auth-form__controls {
    margin-top: 80px;
    display: flex;
    justify-content: flex-end;

}
.auth-form__controls-back {
    margin-right: 8px;
}
.auth-form__socials {
    background-color: #f5f5f5;
    padding: 16px 36px;
    display: flex;
    justify-content: space-between;
    margin-top: 22px;
}
.auth-form__socials-icon {
    font-size: 1.8rem;
}
.auth-form__socials--facebook {
    color: var(--white-color);
    background-color: #3a5a98;
}
.auth-form__socials--google {
    background-color: var(--white-color);
    color: #666;
}
/* .auth-form__socials--google,
.auth-form__socials-icon{
    color: var(--white-color);
} */
.auth-form__socials-title {
    margin: 0 36px;
}   
.auth-form__help {
    display: flex;
    justify-content: flex-end;
    
}
.auth-form__help-link {
    /* padding: 0 32px; */
    text-decoration: none;
    /* color: var(--text-color); */
    font-size: 14px;
    color: #939393;

}
.auth-form__help-separate {
    display: block;
    border-left: 1px solid #eaeaea;
    height: 22px;
    margin: 1px 16px 0;
}
.auth-form__help-forgot {
    color: var(--primary-color);
}
/* header with search */
.header-with-search {
    height: var(--header-with-search-height);
    display: flex;
    align-items: center;
    margin: 0 8px;
}
.header__logo {
    width: 200px;
}
.header__logo-link {
    text-decoration: none;
    color: transparent;
}
.header__logo-img {
    width: 150px;
    color: var(--white-color);
}
.header__search {
    background-color: var(--white-color);
    height: 40px;
    flex: 1;
    border-radius: 2px;
    display: flex;
    align-items: center;
    position: relative;

}
.header__cart {
    width: 150px;
    text-align: center;
    
}
.header__cart-list::after {
    cursor: pointer;
    content: "";
    position: absolute;
    right: 4px;
    top: -25px;
    border-width: 16px 20px;
    border-style: solid;
    border-color: transparent transparent var(--white-color) transparent;
    border-bottom: ;
}
.header__cart-icon {
    display: flex;
    justify-content: center; 
    font-size: 24px;
    color: var(--white-color);
    margin-top: 6px;

}
.header__cart-list {
    position: absolute;
    top: calc(100% + 8px);
    right: 1px;
    background-color: #fdfdfd;
    width: 400px;
    border-radius: 2px;
    box-shadow: 0 1px 3.125rem rgba(0, 0, 0, 0.2);
    display: none;
    animation: faceIn ease-in 0.2s;
    cursor: default;
    z-index: 1;

}
.header__cart-list--no-cart {
    padding: 0 24px;
}
.header__cart--no-cart-img {
    width: 54%;
    display: none;
}
.header__cart-list--no-cart .header__cart--no-cart-img,
.header__cart-list--no-cart .header__cart-list-no-cart-msg {
    margin-left: auto;
    margin-right: auto;
    display: block;
}
.header__cart-list-no-cart-msg {
    /* display: block; */
    font-size: 1.4rem;
    margin-top: 14px;
    color: var(--text-color);
    display: none;
}
.header__cart-notice {
    position: absolute;
    padding: 1px 7px;
    background-color: var(--white-color);
    color: var(--primary-color);
    font-size: 1.4rem;
    line-height: 1.4rem;
    border-radius: 10px;
    border: 2px solid #ee4d2d;
    top: -4px;
    right: -4px;
}

.header__cart-wrap {
    position: relative;
    display: inline-block;
    padding: 0 12px;
    cursor: pointer;

}
.header__cart-wrap:hover .header__cart-list {
    display: block;
}


.header__search-input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    font-size: 1.4rem;
    color: var(--text-color);
    padding: 0 16px;
    border-radius: 2px;
}
.header__search-selection {
    border-left: 1px solid #e8e8e8;
    padding-left: 16px;
    position: relative;
    cursor: pointer;
}
.header__search-selection-label {
    font-size: 1.4rem;
    color: var(--text-color);
}
.header__search-selection-icon {
    font-size: 1.4rem;
    color: rgb(175, 166, 166);
    margin: 0 16px 0 8px;
    position: relative;
    top: 1px;
}
.header__search-btn {
    background-color: var(--primary-color);
    border: none;
    height: 34px;
    border-radius: 2px;
    margin-right: 3px;
    width: 60px;
    outline: none;

}
.header__search-btn-icon {
    font-size: 1.4rem;
    color: #fff;
}
.header__search-btn:hover {
    background-color: #fb6445;
    cursor: pointer;
}
.header__search-selection:hover .header__search-option {
    display: block;
}
.header__search-option {
    position: absolute;
    right: 0;
    top: calc(100% - 1px);
    width: 140px;
    box-shadow: 0 1px 1px rgb(238, 236, 236);
    padding-left: 0;
    border-radius: 2px;
    display: none;
    animation: fadeIn ease-in 0.2s;
    z-index: 1;
}
.header__search-option {
    background-color: #fff;
}
.header__search-option:first-child {
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;

}
.header__search-option:last-child {
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
}
.header__search-option::before {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    top: -10px;
    left: 0;
    position: absolute;
}
.header__search-option-item {
    background-color: (--white-color);
    padding: 12px 10px;
    list-style-type: none;

}
.header__search-option-item span {
    font-size: 1.4rem;
    color: var(--text-color);
    margin-left: 0 8px;

}
.header__search-option-item i {
    font-size: 1.2rem;  
    color: var(--primary-color);
    margin-left: 12px;
    display: none;
}
.header__search-option-item--active i {
    display: inline-block;
}
.header__search-option-item:hover {
    background-color: #fafafa;
    cursor: pointer;
}
.header__search-input-wrap {
    flex: 1px;
    height: 100%;
    position: relative;
}
/* search history */
.header__search-input:focus ~ .header__search-history {
    display: block;
}
.header__search-history {
    position: absolute;
    top: calc(100% + 3px);
    left: 0;
    width: calc(100% - 16px);
    background-color: var(--white-color);
    border-radius: 2px;
    box-shadow: 0 1px 5px #999;
    display: none;
    z-index: 1;
}
.header__search-history-heading {
    margin: 6px 12px;
    font-size: 1.4rem;
    color: #999;
    font-weight: 400;
}
.header__search-history-list {
    padding-left: 0;
    list-style: none;
    margin: 6px 0 0;
}
.header__search-history-item {
    height: 38px;
    padding: 0 10px;
}
.header__search-history-item:last-child {
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
}
.header__search-history-item:hover {
    background-color: #fafafa;
}
.header__search-history-item a {
    text-decoration: none;
    font-size: 1.4rem;
    color: var(--text-color);
    line-height: 38px;
    display: block;
}
.header__cart-list-heading {
    text-align: left;
    margin: 8px 0 8px 12px;
    font-size: 1.4rem;
    color: #999;
    font-weight: 400;
}
.header__cart-list-item {
    padding-left: 0;
    list-style: none;
    height: 56vh;
    overflow-y: auto;
    
}
.header__cart-item {
    display: flex;
    align-items: center;
    

}
.header__cart-item:hover {
    background-color: #f8f8f8;
}
.header__cart-img {
    width: 42px;
    height: 42px;
    margin: 12px;
    border: 1px solid #e8e8e8;
}
.header__cart-item-infor {
    margin-right: 12px;

    width: 100%;
}
.header__cart-item-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header__cart-item-name {
    line-height: 2rem;
    max-height: 4rem;
    overflow: hidden;
    font-size: 1.4rem;
    font-weight: 500;
    color: (--text-color);
    margin: 0;
    flex: 1;
    padding-right: 16px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    text-align: left;
}
.header__cart-item-price-wrap {

}
.header__cart-item-price {
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--primary-color);
}
.header__cart-item-multiply {
    font-size: 0.9rem;
    margin: 0 4px;
    color: #757575;

}
.header__cart-item-qnt {
    color: #757575;
    font-size: 1.2rem;

}
.header__cart-item-body {
    display: flex;
    justify-content: space-between;
}
.header__cart-item-description {
    color: #757575;
    font-size: 1.2rem;
    font-weight: 300;
}
.header__cart-item-remove {
    color: var(--text-color);
    font-size: 1.4rem;
    font-weight: 400;
}
.header__cart-item-remove:hover {
    color: var(--primary-color);
    cursor: pointer;
}
.header__cart-view-cart {
    float: right;
    margin: 0 12px 12px 0;
}
.header__cart-view-cart:hover {
    background-color: #f05d41;
}
/* app container */
.app__container {
    background-color: #f5f5f5;
}
.app__content {
    padding-top: 36px;
}
.category {
    background-color: var(--white-color);
    border-radius: 2px;

}
.category__heading {
    font-size: 1.5rem;
    color: var(--text-color);
    padding: 16px 16px 0;
    margin-top: 0;
    text-transform: uppercase;
    font-weight: 400;
    
}
.category-list {
    padding: 0 0 8px 0;
    list-style: none;
}
.category-item {
    position: relative;
}
.category-item:first-child::before {
    display: none;
}
.category-item::before {
    content: "";
    /* width: 100%; */
    position: absolute;
    top: 0;
    right: 20px;
    left: 20px;
    border-top: 1px solid #e1e1e1;
}
.category-item--active .category-item-link {
    color: var(--primary-color);

}
.category-item-link {
    position: relative;
    font-size: 1.4rem;
    text-decoration: none;
    color: var(--text-color);
    padding: 8px 20px;
    display: block;
}
.category-item-link:hover {
    color: var(--primary-color);
}
/* home sort + filter */
.home-filter {
    background-color: rgba(0, 0, 0, 0.04);
    display: flex;
    align-items: center;
    padding: 12px 22px;
    border-radius: 2px;
}
.home-filter__label {
    font-size: 1.4rem;
    color: #555555;
    margin-right: 16px;
}
.home-filter__page {
    display: flex;
    align-items: center;
    margin-left: auto;

}
.home-filter__btn {
    min-width: 90px;
    margin-right: 12px;
}
.home-filter__page-num {
    font-size: 1.5rem;
    color: var(--text-color);
    margin-right: 22px;
}
.home-filter__page-current {
    color: var(--primary-color);

}
.home-filter__page-control {
    border-radius: 2px;
    overflow: hidden;
    display: flex;
    width: 72px;
    height: 36px;
}
.home-filter__page-btn {
    flex: 1;
    display: flex;
    background-color: var(--white-color);
    text-decoration: none;
    
}
.home-filter__page-icon {
    margin: auto;
    font-size: 1.4rem;
    color: #555555;
    
}
.home-filter__page-btn--disabled {
    background-color: #f9f9f9;
    cursor: default
}
.home-filter__page-btn--disabled .home-filter__page-icon {
    color: #ccc;
}
.home-filter__page-btn:first-child {
    border-right: 1px solid #eee;
}
/* product item */
.home-product {
    margin-bottom: 10PX;
}
.home-product-item {
    display: block;
    text-decoration: none;
    margin-top: 10px;
    background-color: var(--white-color);
    position: relative;
   border-radius: 2px;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.1);
    transition: transform ease-in 0.1s;
    will-change: transform;

}
.home-product-item:hover {
    transform: translateY(-1px);
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.1);

}
.home-product-item__img {
    padding-top: 100%;
    background-repeat: no-repeat;
    background-size: contain;
    border-top-left-radius: 2px;
    border-top-right-radius: 2px;
    background-position: top center;

}
.home-product-item__name {
    font-size: 1.4rem;
    font-weight: 400;
    color: var(--text-color);
    line-height: 1.8rem;
    margin: 10px 10px 6px;
    height: 3.6rem;
    overflow: hidden;
    display: block;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.home-product-item__price {
    display: flex;
    margin-left: 10px;
    align-items: baseline;
    flex-wrap: wrap;
}
.home-product-item__price-old {
    font-size: 1.4rem;
    color: #666;
    text-decoration: line-through;
}
.home-product-item__price-current {
    font-size: 1.6rem;
    color: var(--primary-color);
    margin-left: 10px;
}
.home-product-item__action {
    display: flex;
    justify-content: space-between;
    margin: 6px 10px 0 10px;
}
.home-product-item__like {
    font-size: 1.3rem;
}
.home-product-item__rating {
    font-size: 1rem;
    transform: scale(0.8);
    transform-origin: right;
    color: #d5d5d5;
    margin-left: auto;
    margin-top: -1px;
}
.home-product-item__star--gold {
    color: var(--star-gold-color);
}
.home-product-item__sold {
    font-size: 1.2rem;
    color: var(--text-color);
    margin-left: 6px;

}
.home-product-item__origin {
    display: flex;
    justify-content: space-between;
    margin: 0 10px;
    color: #595959;
    font-size: 1.2rem;
    font-weight: 300;
    margin-top: 3px;
    padding: 10px 10px;

}
.home-product-item__brand {

}
.home-product-item__origin-title {

}
.home-product-item__favourite {
    position: absolute;
    top: 10px;
    left: -4px;
    background-color: currentColor;
    color: var(--primary-color);
    font-size: 1.2rem;
    font-weight: 500;
    line-height: 1.6rem;
    padding-right: 4px;
    border-top-right-radius: 3px; 
    border-bottom-right-radius: 3px; 

}
.home-product-item__favourite span {
    color: var(--white-color);
}
.home-product-item__favourite::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    border-top: 3px solid currentColor;
    border-left: 3px solid  transparent;
    filter: brightness(60%);

}
.home-product-item__favourite i {
    font-size: 0.9rem;
    margin: 0 2px 0 5px;
    color: var(--white-color);

}
.home-product-item__safe-off {
    position: absolute;
    right: 0;
    top: 0;
    width: 40px;
    height: 36px;
    background-color: rgba(255, 216, 64, 0.94);
    text-align: center;
    border-top-right-radius: 2px;

}
.home-product-item__safe-off::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    border-width: 0 20px 4px;
    border-style: solid;
    border-color: transparent rgba(255, 216, 64, 0.94) transparent rgba(255, 216, 64, 0.94);

}
.home-product-item__safe-off-percent {
    color: #ee4d2d;
    font-weight: 600;
    font-size: 1.2rem;
    line-height: 1.2rem;
    position: relative;
    top: -1px;
}
.home-product-item__safe-off-label {
    font-size: 1.3rem;
    line-height: 1.3rem;
    color: var(--white-color);
    font-weight: 600;
    position: relative;
    top: -1px;
    
}
.home-product__pagination {
    margin-top: 48x;
    margin-bottom: 32px;
}
/* footer */
.footer {
    border-top: 4px solid var(--primary-color);
    padding-top: 12px;
    background-color: var(--white-color);
}
.footer__heading {
    font-size: 1.4rem;
    text-transform: uppercase;
    color: var(--text-color);

}
.footer-list {
    padding-left: 0;
    list-style: none;
}
.footer-item__link {
    text-decoration: none;
    color: #737373;
    font-size: 1.2rem;
    padding: 2px 0px;
    display: flex;
    align-items: center;

}
.footer-item__link:hover {
    color: var(--primary-color);
}
.footer-item__icon {
    font-size: 1.4rem;
    margin: -1px 8px 0 0;
}
.footer__download {
    display: flex;
}
.footer__download-qr {
    width: 80px;
    height: 80px;
    border: 1px solid var(--boder-color);
}
.footer__download-apps {
    flex: 1;
    margin-left: 16px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.footer__download-app-img {
    height: 16px;
}
.footer__download-app-link {
    text-decoration: none;
}
.footer__bottom {
    background-color: #f5f5f5;
    padding: 8px 0;  
    margin-top: 36px;
}
.footer__text {
    margin: 0;
    font-size: 1.2rem;
    text-align: center;
    color: #737373;

}